- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Updates an Entry Link.
HTTP request
PATCH https://dataplex.googleapis.com/v1/{entryLink.name=projects/*/locations/*/entryGroups/*/entryLinks/**}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
entryLink.name |
Output only. Immutable. Identifier. The relative resource name of the Entry Link, of the form: |
Query parameters
| Parameters | |
|---|---|
allowMissing |
Optional. If set to true and the entry link doesn't exist, the service will create it. |
aspectKeys[] |
Optional. The map keys of the Aspects which the service should modify. It should be the aspect type reference in the format If this field is left empty, the service treats it as specifying exactly those Aspects present in the request. |
Request body
The request body contains an instance of EntryLink.
Response body
If successful, the response body contains an instance of EntryLink.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permissions on the name resource:
dataplex.entryGroups.useDefinitionEntryLinkdataplex.entryGroups.useRelatedEntryLinkdataplex.entryGroups.useSchemaJoinEntryLinkdataplex.entryGroups.useSynonymEntryLinkdataplex.entryLinks.update
For more information, see the IAM documentation.